# PetscViewerSiloGetFilePointer

Extracts the file pointer from a Silo viewer.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerSiloGetFilePointer(PetscViewer viewer, DBfile **fd)

### Input Parameter

viewer -viewer context, obtained from PetscViewerSiloOpen()

### Output Parameter

fd -file pointer

### Keywords

PetscViewer, file, get, pointer

### See Also

PetscViewerSiloOpen()

Level:advanced
Location: src/sys/viewer/impls/silo/vsilo.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages